package com.yihu.jw.restmodel.hospital.consult;

import com.yihu.jw.restmodel.UuidIdentityVOWithOperator;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import java.util.Date;


/**
 * 
 * 候诊室vo
 * 
 * @version 
 * <pre>
 * Author	Version		Date		Changes
 * Administrator 	1.0  2019年05月16日 Created
 *
 * </pre>
 * @since 1.
 */
@ApiModel(value = "WlyyHospitalWaitingRoomVO", description = "候诊室")
public class WlyyHospitalWaitingRoomVO extends UuidIdentityVOWithOperator {

    /**
	 * 
	 */
	@ApiModelProperty(value = "", example = "模块1")
    private String saasId;

    /**
	 * 诊室ID
	 */
	@ApiModelProperty(value = "诊室ID", example = "模块1")
    private String clinicroomId;

    /**
	 * 居民ID
	 */
	@ApiModelProperty(value = "居民ID", example = "模块1")
    private String patientId;

    /**
	 * 居民姓名
	 */
	@ApiModelProperty(value = "居民姓名", example = "模块1")
    private String patientName;

    /**
	 * 0离线 1在线(候诊) 2已诊
	 */
	@ApiModelProperty(value = "0离线 1在线(候诊) 2已诊", example = "模块1")
    private Integer visitStatus;

    /**
	 * 预约时间
	 */
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+08:00")
	@ApiModelProperty(value = "预约时间", example = "模块1")
    private Date reservationTime;

    /**
	 * 排序
	 */
	@ApiModelProperty(value = "排序", example = "模块1")
    private Integer sort;

    /**
	 * 门诊类型: 1续方复诊 2协同门诊
	 */
	@ApiModelProperty(value = "门诊类型: 1续方复诊 2协同门诊", example = "模块1")
    private Integer reservationType;

    /**
	 * 咨询类型: 1图文 2视频 3图文+视频
	 */
	@ApiModelProperty(value = "咨询类型: 1图文 2视频 3图文+视频", example = "模块1")
    private Integer consultTpye;


    public String getSaasId() {
        return saasId;
    }
    public void setSaasId(String saasId) {
        this.saasId = saasId;
    }

    public String getClinicroomId() {
        return clinicroomId;
    }
    public void setClinicroomId(String clinicroomId) {
        this.clinicroomId = clinicroomId;
    }

    public String getPatientId() {
        return patientId;
    }
    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public String getPatientName() {
        return patientName;
    }
    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Integer getVisitStatus() {
        return visitStatus;
    }
    public void setVisitStatus(Integer visitStatus) {
        this.visitStatus = visitStatus;
    }

    public Date getReservationTime() {
        return reservationTime;
    }
    public void setReservationTime(Date reservationTime) {
        this.reservationTime = reservationTime;
    }

    public Integer getSort() {
        return sort;
    }
    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Integer getReservationType() {
        return reservationType;
    }
    public void setReservationType(Integer reservationType) {
        this.reservationType = reservationType;
    }

    public Integer getConsultTpye() {
        return consultTpye;
    }
    public void setConsultTpye(Integer consultTpye) {
        this.consultTpye = consultTpye;
    }


}